Package owl.translations.ltl2ldba.breakpointfree

## Class BooleanLattice

- java.lang.Object
- - owl.translations.ltl2ldba.breakpointfree.BooleanLattice

- All Implemented Interfaces:
    `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

      public class BooleanLattice
      extends Object
      implements LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanLattice()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsLivenessLanguage​(DegeneralizedBreakpointFreeState state)` |
    `boolean` | `acceptsSafetyLanguage​(DegeneralizedBreakpointFreeState state)` |
    `Language<Void>` | `getBottom()` |
    `Language<Void>` | `getLanguage​(DegeneralizedBreakpointFreeState state)` |
    `Language<Void>` | `getTop()` |
    `boolean` | `isLivenessLanguage​(FGObligations annotation)` |
    `boolean` | `isSafetyAnnotation​(FGObligations annotation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanLattice

          public BooleanLattice()

  - ### Method Detail

    - #### getBottom

          public Language<Void> getBottom()

      Specified by:
        `getBottom` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### getLanguage

          public Language<Void> getLanguage​(DegeneralizedBreakpointFreeState state)

      Specified by:
        `getLanguage` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### getTop

          public Language<Void> getTop()

      Specified by:
        `getTop` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### isLivenessLanguage

          public boolean isLivenessLanguage​(FGObligations annotation)

      Specified by:
        `isLivenessLanguage` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### acceptsSafetyLanguage

          public boolean acceptsSafetyLanguage​(DegeneralizedBreakpointFreeState state)

      Specified by:
        `acceptsSafetyLanguage` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### acceptsLivenessLanguage

          public boolean acceptsLivenessLanguage​(DegeneralizedBreakpointFreeState state)

      Specified by:
        `acceptsLivenessLanguage` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`

    - #### isSafetyAnnotation

          public boolean isSafetyAnnotation​(FGObligations annotation)

      Specified by:
        `isSafetyAnnotation` in interface `LanguageLattice<DegeneralizedBreakpointFreeState,FGObligations,Void>`